cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrade ePO 4.0 -> 4.5 (communication issue).

Hi there!

We successfully upgrade our ePO 4.0 server to 4.5.

But there is no communication between agent/server.

In Agent Handler section I see that:

AH.PNG

My question is: must I delete this agent and reinstall the 4.5 agent?

Many thanks!

9 Replies
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 2 of 10

Re: Upgrade ePO 4.0 -> 4.5 (communication issue).

Hi...

Unfortunately something's very wrong here: there's no such thing as a version 4 agent handler   (Well, there is, but you should never see one in a 4.5 console.)

Were there any problems during the upgrade? After the upgrade, have you restored any files or the database?

Thanks -

Joe

Re: Upgrade ePO 4.0 -> 4.5 (communication issue).

Hi Joe,

No, the upgrade was fine (no error detected).

McAfee support have say to me that I can delete this "Agent Handler" and upgrade McAfee agent 4.5 to patch 3 (we currently have patch 2 installed on computers).

But the communication between agent/server is still down

McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 4 of 10

Re: Upgrade ePO 4.0 -> 4.5 (communication issue).

How many agent handlers do you have listed, and where was this screenshot taken from?

Thanks -

Joe

Re: Upgrade ePO 4.0 -> 4.5 (communication issue).

We have 0 Agent Handler

This screenshot was taken from our ePO 4.5 freshly installed (upgraded from 4.0) section "Menu" > "Configuration" > "Agent Handler"

McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 6 of 10

Re: Upgrade ePO 4.0 -> 4.5 (communication issue).

That's what I was worried about - you should have at least one: if you don't then there's a problem

Is the ePO server service running on the ePO server?

Thanks -

Joe

Re: Upgrade ePO 4.0 -> 4.5 (communication issue).

Ok,

Now I've another problem.

I've 2 McAfee services :

- McAfee ePolicy Orchestrator 4.5.0 Application Server wich is ok.

- McAfee ePolicy Orchestrator 4.5.0 Event Parser wich is non-ok and could not start (in the event viewer I have The McAfee ePolicy Orchestrator 4.5.0 Event Parser service depends on the following nonexistent service: MCAFEEAPACHESRV)

Do I need to reinstall an Agent Handler from the folder AH in the installation folder of ePO 4.5?

McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 8 of 10

Re: Upgrade ePO 4.0 -> 4.5 (communication issue).

Okay, this is not good   Something has clearly failed during the upgrade...

I strongly suggest you open a case with support at this point. It may be that the relevant files are present and only the registry entries for the service are missing, in which case it should be fairly easy to fix this. On the other hand if the ePO server service (apache) is completely missing then a different approach will be required.

Regards -

Joe

Re: Upgrade ePO 4.0 -> 4.5 (communication issue).

Ok,

I've contact the support.

Keep you in touch

Re: Upgrade ePO 4.0 -> 4.5 (communication issue).

Installed new virtual 2003 server with ePO 4.5 patch 4 from scratch...

All is working correctly... for the moment